Request to permanently delete gems.

Joel Bryan Juliano's Avatar

Joel Bryan Juliano

17 Oct, 2013 02:21 AM

I have forked 3 gems and made changes to support (then new) Rails 3.1 back in 2011, now all of those published gems supports Rails 4,
I would like to request those gems to be removed due to upstream versions are much updated and works with the latest versions of Rails.
The gems are

pjax-rails-for-ruby-18
vanity-rails3
geokit-rails31

Thanks,
- Joel (https://rubygems.org/profiles/jjuliano)

  1. Support Staff 1 Posted by Nick Quaranto on 11 Nov, 2013 08:53 PM

    Nick Quaranto's Avatar

    Hi there,

    We only remove gems under dire circumstances. Please check the FAQ here:

    http://help.rubygems.org/kb/gemcutter/removing-a-published-rubygem

    Our policy is to only perma-delete gems that really need it, such as gems that may contain passwords, malicious/harmful code, etc. Yanking a gem effectively removes it from being found and will do the trick in 99% percent of situations.

    If there'a stronger reason to delete it, let us know.

  2. Nick Quaranto closed this discussion on 11 Nov, 2013 08:53 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac